spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
spot::open_temporary_file Class Referencefinal

Open temporary file. More...

`#include <spot/misc/tmpfile.hh>`

Inheritance diagram for spot::open_temporary_file:
Collaboration diagram for spot::open_temporary_file:

## Public Types
typedef std::list < temporary_file * >::iterator | cleanpos_t

## Public Member Functions
SPOT_LOCAL | open_temporary_file (char *name, cleanpos_t cp, int fd)
void | close ()
int | fd () const
const char * | name () const
virtual void | print (std::ostream &os, const char *) const finaloverride

## Protected Attributes
int | fd_
char * | name_
cleanpos_t | cleanpos_

## Detailed Description

Open temporary file.

This is a specialization of temporary_file that also holds an open file descriptor, as created by create_open_tmpfile().

Use the open_temporary_file::close() method if you want to close that descriptor; do no call the POSIX close() function directly.

The documentation for this class was generated from the following file:

- spot/misc/tmpfile.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.